@use '@angular/material' as mat;
@import "../override/material-override";
@import "../override/dark-mode-override";
@import "../override/light-mode-override";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

// Test : https://material.io/tools/color/#!/?view.left=0&view.right=0&primary.color=a2c252&secondary.color=9E9E9E&primary.text.color=FAFAFA&secondary.text.color=f9f9f9
// Generator primary : http://mcg.mbitson.com/#!?primary=%23a2c252&themename=centella
// Generator accent : http://mcg.mbitson.com/#!?mcgpalette1=%239e9e9e&themename=centella

$mat-centella-primary: (
    50 : #f4f8ea,
    100 : #e3edcb,
    200 : #d1e1a9,
    300 : #bed486,
    400 : #b0cb6c,
    500 : #a2c252,
    600 : #9abc4b,
    700 : #90b441,
    800 : #50a850,
    900 : #759f28,
    950 : #448256,
    1000 : #4d7138,
    A100 : #f3ffe0,
    A200 : #e0ffad,
    A400 : #cdff7a,
    A700 : #c4ff60,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        950 : #ffffff,
        1000 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$mat-centella-accent: (
    50 : #fafafa,
    100 : #f5f5f5,
    200 : #eeeeee,
    300 : #e0e0e0,
    400 : #bdbdbd,
    500 : #9e9e9e,
    600 : #757575,
    700 : #616161,
    800 : #564242,
    900 : #212121,
    A100 : #ffffff,
    A200 : #000000,
    A400 : #303030,
    A700 : #616161,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$primary: mat.m2-define-palette($mat-centella-primary, 950);
$accent: mat.m2-define-palette($mat-centella-accent, A100, A100, A100);
$warn: mat.m2-define-palette(mat.$m2-red-palette);

$centella-theme: mat.m2-define-light-theme(
        $primary,
        $accent,
        $warn
);

$centella-dark-theme: mat.m2-define-dark-theme(
        $primary,
        $accent,
        $warn
);

@include isInTheme($theme-name-centella, true) {
  --primary-color: #{map-get($mat-centella-primary, 950)};
  --primary-color-lighter: #{map-get($mat-centella-primary, 800)};
  --text-color-in-primary: #ffffff;

  @include mat.all-component-themes($centella-theme);

  &:not([dark-mode='true']) {
    @include dlcm-material-override;
    @include dlcm-light-mode-override;
  }

  &[dark-mode='true'] {
    @include mat.all-component-colors($centella-dark-theme);
    @include dlcm-material-override;
    @include dlcm-dark-mode-override;
  }
}
